function [z] = f2eval(x,y,f)
%|-------------------------------------|
%| This function takes two row vectors |
%| x (of length n) and y (of length m) |
%| and produces a matrix z (nxm) such  |
%| that z(i,j) = f(x(i),y(j)).         |
%|-------------------------------------|
%Determine the lengths of vectors
n = length(x);
m = length(y);
%Create a matrix nxm full of zeros
z = zeros(n,m);
%Fill the matrix with values of z
for i = 1:n
    for j = 1:m
        z(i,j) = f(x(i),y(j));
    end
end
