
function [A] = AreaTrap(b,y,z)
%|---------------------------------------------|
%| Calculation of the area of a trapezoidal |
%| open-channel cross-section. |
%| |
%| Variables used: |
%| =============== |
%| b = bottom width (L) |
%| y = flow depth (L) |
%| z = side slope (zH:1V, dimensionless) |
%| A = area (L*L, optional in lhs) |
%|---------------------------------------------|
A = (b+z.*y).*y;