function [J] = JMatrix(x)
%|------------------------------------|
%| This function returns a 2x2 matrix |
%| J = [f1, f2; f3, f4], with f1, f2, |
%| f3, f4 = functions of (x1,x2) |
%|------------------------------------|
J = zeros(2,2);
J(1,1) = x(1)+x(2);
J(1,2) = (x(1)+x(2))^2;
J(2,1) = x(1)*x(2);
J(2,2) = sqrt(x(1)+x(2));