function [v] = MySort(u,itype)
%|---------------------------------|
%|This function sorts vector u in  |
%|increasing order, returning the  |
%|sorted vector as v.              |
%|If itype = 'd', decreasing order |
%|If itype = 'i', increasing order |
%|---------------------------------|
%Determine length of vector
n = length(u);  
%Copy vector u to v
v = u;
%Start sorting process
if itype == 'i' 
   for i = 1:n-1
       for j = i+1:n
           if v(i)>v(j) 
              temp = v(i);
              v(i) = v(j);
              v(j) = temp;
           end
       end
   end
else
   for i = 1:n-1
       for j = i+1:n
          if v(i)<v(j)
             temp = v(i);
             v(i) = v(j);
             v(j) = temp;
          end
       end
   end
end

