function [v] = swapVector(u)
%|----------------------------------|
%| This function swaps the elements |
%| of vector u, v(1) with v(n), v(2)|
%| with v(n-1), and so on, where n  |
%| is the length of the vector.     |
%|----------------------------------|
n = length(u);  %length of vector
v = u;          %copy vector u to v
%Determine upper limit of swapping
if mod(n,2) == 0  
   m = n/2;
else
   m = (n-1)/2;
end
%Perform swapping
for j = 1:m
    temp = v(j);
    v(j) = v(n-j+1);
    v(n-j+1) = temp;
end
